Liquidity lane state
GET
/lp/status
const url = 'https://api.getchord.xyz/v1/lp/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getchord.xyz/v1/lp/statusPer-chain cursors, heads, last tick, pool-stat floors and position counts for the liquidity indexer — the freshness check for everything under /lp.
Responses
Section titled “ Responses ”Media typeapplication/json
Lane state per chain (lanes, pools, positions).
object
key
additional properties
any
Example
{ "enabled": true, "chains": [ 5042, 4663 ], "lanes": { "143": { "cursor": 106412087, "head": 106412087, "chunk": 4000, "rows": 2, "lastTick": 1789891861000, "last": { "logs": 0, "rows": 0, "unknownPools": 0, "resolved": 0, "nonAnchored": 0, "noDecimals": 0, "noRate": 0, "noSqrt": 0, "tokenOnly": 0, "managed": 0, "collects": 0, "transfers": 0 }, "tickStartedAt": 1789891860977, "attrib": { "txs": 0, "set": 0, "floor": 1789891861, "idle": true, "at": 1789891861000 }, "behind": 0, "running": true }, "4663": { "cursor": 67785681, "head": 67785681, "chunk": 4000, "rows": 1322, "lastTick": 1789891861864, "last": { "logs": 115, "rows": 24, "unknownPools": 0, "resolved": 3, "nonAnchored": 44, "noDecimals": 0, "noRate": 0, "noSqrt": 0, "tokenOnly": 3, "managed": 19, "collects": 11, "transfers": 10 }, "tickStartedAt": 1789891861137, "attrib": { "txs": 0, "set": 0, "floor": 1789891861, "idle": true, "at": 1789891861866 }, "behind": 0, "running": true }, "5042": { "cursor": 21808258, "head": 21808258, "chunk": 4000, "rows": 77, "lastTick": 1789891858995, "last": { "logs": 3, "rows": 2, "unknownPools": 2, "resolved": 0, "nonAnchored": 0, "noDecimals": 0, "noRate": 0, "noSqrt": 0, "tokenOnly": 0, "managed": 1, "collects": 1, "transfers": 2 }, "tickStartedAt": 1789891858105, "attrib": { "txs": 300, "set": 0, "floor": 1789538828, "idle": false, "at": 1789891860035 }, "behind": 0, "running": true } }, "pools": { "143": { "floor": 1789146000, "tvlRows": 164, "hourlyRows": 14539 }, "4663": { "floor": 1789146000, "tvlRows": 879, "hourlyRows": 154120 }, "5042": { "floor": 1789146000, "tvlRows": 1816, "hourlyRows": 245072 } }, "positions": { "143": { "cursor": "106411386:64", "positions": 982, "open": 326 }, "4663": { "cursor": "67785366:7", "positions": 161730, "open": 44557 }, "5042": { "cursor": "21808179:20", "positions": 249663, "open": 195886 } }}